#include <signal.h>
#include <errno.h>
#include <sys/types.h>

#include <nllibc.h>

int killpg(pid_t pgrp, int sig)
{
  if (pgrp == 1) {
    _set_errno(ESRCH);
    return -1;
  }
  if (pgrp < 0) { 
    _set_errno(EINVAL);
    return -1;
  }
  return kill(-pgrp, sig);
}
